using System;

namespace polica
{
    class Program
    {
        static void Main(string[] args)
        {
            string l1 = Console.ReadLine();
            int n = Convert.ToInt32(l1[0]);
            string knjige = Console.ReadLine().Replace(" ", "");

            int c1 = 0;
            int c2 = 1;
            for (int i = 0; i < knjige.Length - 1; i++)
            {
                for (int j = i + 1; j < knjige.Length; j++)
                {
                    if (knjige[j] > knjige[i] && knjige[j] > knjige[c2])
                    {
                        c1 = i;
                        c2 = j;
                    }
                }
            }

            char t = knjige[c1];
            knjige = knjige.Substring(0, c1) + knjige[c2] + knjige.Substring(c1 + 1);
            knjige = knjige.Substring(0, c2) + t + knjige.Substring(c2 + 1);

            string output = "";
            for (int i = 0; i < knjige.Length; i++)
            {
                output += knjige[i] + " ";
            }
            Console.WriteLine(output);
        }
    }
}